﻿using Humanizer;

namespace DevDisciples.Json.Tools;

public static partial class Json2CSharpTranslator
{
    public struct ClassTranslation : ITranslation
    {
        public string Name { get; set; }
        public List<PropertyTranslation> Properties { get; set; }

        public void Translate(Context context)
        {
            context.Builder.Append($"public class {Name.Pascalize()}\n");
            context.Builder.Append("{\n");

            var last = Properties.Last();
            foreach (var property in Properties)
            {
                property.Translate(context);
                context.Builder.Append(property.Equals(last) ? string.Empty : "\n");
            }

            context.Builder.Append("}\n");
        }
    }
}