﻿namespace DevDisciples.Parsing;

public abstract partial class Lexer<TToken> where TToken : Enum
{
    public struct Token : ISourceLocation
    {
        public string File { get; }
        public TToken Type { get; }
        public string Lexeme { get; }
        public int Line { get; }
        public int Column { get; }


        public Token(string file, TToken type, string lexeme, int line, int column)
        {
            File = file;
            Type = type;
            Lexeme = lexeme;
            Line = line;
            Column = column;
        }
    }
}